Subject: bug#54033: Calibre's ebook-viewer only shows white-on-white or dark-on-dark.

From: Jacob MacDonald <[email-masked]>
Date: Sun, 20 Feb 2022 21:46:51 -0600

The substitutes to install Calibre 5.36 updated, so I gave it a try
today. The issue exists there too, suggesting further that the problem
is in the dependencies somewhere. I haven't come across a working
revision with Calibre 5.14 in my bisecting expeditions yet, but I
suspect some of those would be broken in the same way.

Bisecting the branch which used to be core-updates-frozen with
--first-parent has so far been fruitless. I seem to be jumping dates
and Calibre versions again, and my Git-fu isn't strong enough to
narrow the range of commits I'm bisecting. Many of the commits from
core-updates-frozen also appear to be unbuildable; I'm not sure if
that's expected, my guix-daemon being too new, or something else.

I'm looking at merges *from* master into core-updates and
core-updates-frozen pre-6dffce as potential problem sites.

Based on the diff between the working and broken parents of 6dffce, my
hunch is that the regression lies in a dependency (likely something on
the Qt side) as opposed to the Calibre recipe itself.